#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
int n;
long long Pos;
cin >>n>>Pos;
vector <long long> a(n);
for(int i=0;i<n;i++){
    cin >>a[i];
}
long long mini=Pos;
long long maxi=Pos;
for(int i=0;i<n;i++){
    mini=min(mini,a[i]);
    maxi=max(maxi,a[i]);
}
long long distA=abs(Pos-mini);
long long distB=abs(Pos-maxi);
long long another=min(distA,distB);
cout <<distA+distB+another<<endl;
}